<?
/*
	Access.php - sets up Access Control for all pages that require a login...
*/
include_once($basePath."include/config.php");
include_once($basePath."include/session.php");
include_once($basePath."include/db.php");
include_once($basePath."include/user.php");
include_once($basePath."include/module.php");
session_save_path($basePath.$sessionPath);
ini_set('session.gc_probability','10');
/*ini_set('session.gc_maxlifetime','1');
ini_set('session.cache_expire','1');*/

/*
	First we either BEGIN NEW or RESTORE OLD session
*/
$session = new Session();
/*
	Then we check whether user is logged in
	*NOTE: There are $username and $password <input>'s in the login screen
*/
if (!$session->isLoggedIn()) {
	if (empty($loginAction)) {
		require_once($basePath."themes/$theme/login.php");
		exit();
	}
	elseif ($loginAction=='login') {
		if (isset($username)) {
			$user = new User($username);
			if ($user->checkPassword($password)) {
				$session->login($username);
				loadModules();
			}
			else {
				print "Access Denied";
				$session->logout();
				exit();
			}
		}
	}
}
else {
	if ($action == "logout") {
		$session->logout();
		require_once($basePath."themes/$theme/logout.php");
		exit();
	}
	else {
		$user = new User($session->restore());
		$session->login($user->fields['name']);
		loadModules();
	}
}

function loadModules() {
	global $modules;
	$link = dbConnect();
	$qry = "select * from modules";
	$result = dbQuery($qry);
	while ($ary = dbFetch($result)) {
		$modules[$ary['name']] = new Module($ary['name']);
	}
}
?>
