<?
include_once($basePath."include/dbobject.php");
/*
	cart.php - defines a shopping cart class that
	EXTENDS dbObject
*/
class Cart extends dbObject {

	var $itemAry;
	/*
		This is the constructor method of the Cart class
	*/
	function Cart($cartID = NULL) {
		$this->tableName = "carts";
		if (is_numeric($cartID)) {
			$this->initializeObject($cartID);
			$this->itemAry = unserialize($this->fields['serializedItemAry']);
		}
	}
	/*
		Some functions related to quantities of items in cart
	*/
	function addItemQty($itemID, $qty) {
		if (isset($this->itemAry[$itemID])) {
			$this->itemAry[$itemID] += $qty;
		}
		else {
			$this->itemAry[$itemID] = $qty;
		}
	}
	function updateItemQty($itemID, $qty) {
		if ($qty > 0) {
			$this->itemAry[$itemID] = $qty;
		}
		else {
			unset($this->itemAry[$itemID]);
		}
	}
	function subtractItemQty($itemID, $qty) {
		if ($this->itemAry[$itemID] > $qty) {
			$this->itemAry[$itemID] -= $qty;
		}
		else {
			unset($this->itemAry[$itemID]);
		}
	}
	function isEmpty() {
		return isset($this->itemAry);
	}
	function debug() {
		while (list($key, $val) = each($this->itemAry)) {
			print "$key, $val<br>\n";
		}
	}
	/*
		Some functions that deal with other data for the cart
	*/
	function setStatus() {
		/* sets the status of the cart */
	}
	function useTable($table = NULL) {
		if (isset($table)) {
			$this->fields['tableName'] = $table;
		}
	}
	/*
		saves the cart to the database
	*/
	function save() {
		/* 'add' the cart to the db */
		$this->fields['serializedItemAry'] = serialize($this->itemAry);
		parent::add();
	}
}
?>
