<?
include_once($basePath."include/db.php");
/*
        dbobject.php - database objects class
        This is our database object class which stores & modifies the items
        in database during a session at run time.
*/
class dbObject {
        /*
                State variables in the class...
                All read from the db
        */
        var $fields;
        var $tableName;

        // dbObject - constructor - default
        //                 Sets up overloading...
        function dbObject () {
                $constructorName = "dbObject" . func_num_args();
                $args = func_get_args();
                switch(func_num_args()) {
                        case 1:
                                $this->$constructorName($args[0]);
                                break;
                        case 2:
                                $this->$constructorName($args[0], $args[1]);
                                break;
                        case 3:
                                $this->$constructorName($args[0], $args[1], $args[2]);
                                break;
                }
        }

        // dbObject - constructor. returns true if it finds the user, false if nothing has been done
        function dbObject1($tableName = NULL) {
                $this->tableName = $tableName;
                return true;
        }

        // dbObject - constructor. returns true if it finds the user, false if nothing has been done
        function dbObject2 ($identification = NULL, $tableName = NULL) {
                $this->tableName = $tableName;
                if (is_numeric($identification)) {
                        // $identification = id
                        $this->initializeObject($identification);
                        return true;
                }
                return false;
        }

        // dbObject - Alternate constructor
        function dbObject3 ($key = 'user_id', $value = NULL, $tableName = NULL) {
                $this->tableName = $tableName;
                $id = $this->searchIDbyField ($key, $value);

                if (is_numeric($id)) {
                        $this->initializeObject($id);
                        return true;
                }
                return false;
        }

        function initializeObject($identification = NULL) {
                /*
                        Reads all users' fields from DB to object
                */
                $link = dbConnect();
                $qry = "describe $this->tableName";
                $qry2 = "select * from $this->tableName where id=$identification";
                $result = dbQuery($qry);
                if ($result) {
                        while ($ary = dbFetch($result)) {
                                $ary2 = dbFastFetch($qry2);
                                $this->fields[$ary['Field']] = $ary2[$ary['Field']];
                        }
                        return true;
                }
                else {
                        return false;
                }
        }

        function searchIDbyField($key = NULL, $value = NULL) {
                /*
                        Find the ID by a field and key - must be exact!
                */
                if (isset($key) && isset($value)) {
                        $link = dbConnect();
                        $qry = "select id from " . $this->tableName . " where $key='$value'";
                        $ary = dbFastFetch($qry);
                        if (isset($ary)) {
                                return $ary['id'];
                        }
                }
                return null;
        }

        function exists() {
                /* To be or not to be? That is the crappiest question I've ever heard. */
                if (!is_numeric($this->fields['id'])) {
                        return false;
                }
                else {
                        $link = dbConnect();
                        $qry = "select * from $this->tableName where id=" . $this->fields['id'];
                        $ary = dbFastFetch($qry);
                        return is_array($ary);
                }
        }

        function getID() {
                if (!is_numeric($this->fields['id'])) {
                        $qry = "select id from $this->tableName where ";
                        if ($this->fields) {
                                reset($this->fields);
                                while (list($key, $val) = each($this->fields)) {
                                        // Take everything except for the ID
                                        if ($key != "id" && isset($val) && $val) {
                                                $qry .= $key . "='" . $val . "' and ";
                                        }
                                }
                        }
                        $qry = substr($qry,0,-5);
                        $link = dbConnect();
                        $ary = dbFastFetch($qry);
                        return $ary['id'];
                }
                else {
                        return $this->fields['id'];
                }
        }

        /*
                add() - adds the current object into the db
        */
        function add() {
                if (!$this->exists()) {
                        $link = dbConnect();
                        $qry = "insert into $this->tableName (";
                        $qry2 = " (";
                        /* the list of keys & vals*/
                        if ($this->fields) {
                                reset($this->fields);
                                while (list($key, $val) = each($this->fields)) {
                                        // Take everything except for the ID
                                        if ($key != "id" && isset($val)) {
                                                $qry .= $key . ",";
                                                $qry2 .= "'" . $val . "',";
                                        }
                                }
                        }
                        $qry2 = substr($qry2, 0, -1) . ")";
                        $qry = substr($qry, 0, -1) . ") values" . $qry2;
                        $result = dbQuery($qry);
                        $this->fields['id'] = $this->getID();
                        return true;
                }
                return false;
        }

        /*
                remove() - removes the current object from the db
        */
        function remove() {
                if ($this->exists()) {
                        $link = dbConnect();
                        $qry = "delete from $this->tableName where id=" . $this->fields['id'];
                        $result = dbQuery($qry);
                        return true;
                }
                return false;
        }

        /*
                update() - updates a record in the db
        */
        function update() {
                if ($this->exists()) {
                        $link = dbConnect();
                        $qry = "describe $this->tableName";
                        $result = dbQuery($qry);
                        while ($ary = dbFetch ($result)) {
                                $allFields[] = $ary['Fields'];
                        }
                        $link = dbConnect();
                        $qry = "update $this->tableName set ";
                        reset($this->fields);
                        while (list($key, $val) = each($this->fields)) {
                                if ($key != "id" && isset($val) && in_array($val, $allFields)) {
                                        $qry .= $key . "='" . $val . "',";
                                }
                        }
                        $qry = substr($qry,0,-1) . " where id=" . $this->fields['id'];
                        $result = dbQuery($qry);
                }
                else {
                        $this->add();
                }
                return true;
        }
}
?>
