<?
include_once($basePath."include/dbobject.php");
include_once($basePath."include/group.php");
/*
	USER.PHP - user class EXTENDS dbObject
	This is our user class which stores & modifies the user
	during a session at run time.
*/
class User extends dbObject {
	// User - constructor. returns true if it finds the user, false if nothing has been done
	function User($identification = NULL) {
		// tableName is always 'users' for all User objects
  		$this->tableName = "users";
		if (is_numeric($identification)) {
			// $user = user ID number
			$this->initializeObject($identification);
			$userGroup = $this->group();
			$this->fields['access'] = $userGroup->fields['name'];
			return true;
		}
		elseif (is_string($identification)) {
			// $user = username
			$ID = $this->searchIDbyField("username", $identification);
			if (isset($ID)) {
				$this->initializeObject($ID);
				$userGroup = $this->group();
				$this->fields['access'] = $userGroup->fields['name'];
				return true;
			}
			else {
				$this->fields['username'] = $identification;
				return false;
			}
		}
	}
	function checkPassword($password=NULL) {
		return $this->fields["password"] == $password;
	}
	function joinGroup($group_str=null) {
		$group = new Group($group_str);
		$this->fields['group_id'] = $group->fields['id'];
		$this->update();
	}
	function inGroup($group_str=null) {
		$group = new Group($this->fields['group_id']);
		return $group->fields['name'] == $group_str;
	}
	function group() {
		$group = new Group($this->fields['group_id']);
		return $group;
	}
}
?>
