<?
/*
	admin_projectSpecs.php
*/
include_once($basePath."themes/$theme/makeBox.php");
include_once($basePath."themes/$theme/makeList.php");
include_once($basePath."include/user.php");
include_once($basePath."include/db.php");
include_once($basePath."include/config.php");

/* Gather some info */
$tempAry = $session->loadTempAry();

/* First we need to restore the project either from
	a session cookie or straight from DB */
if (isset($tempAry['project'])) {
	$project = unserialize($tempAry['project']);
}
else {
	$project = new dbObject($_project_id, 'projects');
	$tempAry['project'] = serialize($project);
}
/* grab the occurrences */
if (is_array($tempAry['_occurrences'])) {
	$_occurrences = $tempAry['_occurrences'];
}
else {
	$link = dbConnect();
	$qry = "select * from occurrence where project_id=" . $project->fields['id'];
	$result = dbQuery($qry);
	if ($result) {
		while ($ary = dbFetch($result)) {
			if ($ary['typeOfOccurrence'] != 'Payment') {
				$occurrence['_dateOfOccurrence'] = $ary['dateOfOccurrence'];
				$occurrence['_actionNeeded'] = $ary['actionNeeded'];
				$occurrence['_typeOfOccurrence'] = $ary['typeOfOccurrence'];
				$occurrence['_title'] = $ary['title'];
				$occurrence['_id'] = $ary['id'];
				$_occurrences[] = $occurrence;
				$tempAry['_occurrences'] = $_occurrences;
			}
		}
	}
}
/* grab the payments */
$subtotal = 0.0;
if (isset($tempAry['_payments'])) {
	$_payments = $tempAry['_payments'];
	while (list($key, $payment) = each($_payments)) {
		if (empty($payment['_DELETEME'])) {
			$subtotal += $payment['_amount'];
		}
	}
}
else {
	$link = dbConnect();
	$qry = "select * from occurrence where project_id=" . $project->fields['id'];
	$result = dbQuery($qry);
	if ($result) {
		while ($ary = dbFetch($result)) {
			if ($ary['typeOfOccurrence'] == 'Payment') {
				$payment['_dateOfOccurrence'] = $ary['dateOfOccurrence'];;
				$payment['_actionNeeded'] = $ary['actionNeeded'];
				$payment['_amount'] = $ary['amount'];
				$payment['_title'] = $ary['title'];
				$payment['_id'] = $ary['id'];
				if (empty($payment['_DELETEME'])) {
					$subtotal += $payment['_amount'];
				}
				$_payments[] = $payment;
				$tempAry['_payments'] = $_payments;
			}
		}
	}
}
$total = $subtotal * 0.01 * $project->fields['taxRate'] + $subtotal;
$project->fields['subtotal'] = $subtotal;
$project->fields['total'] = $total;

/* Are we saving something to the session cookie? */
if ($admin_projectSpecsAction == "save") {
	$link = dbConnect();
	$qry = "describe projects";
	$result = dbQuery($qry);
	if ($result) {
		while ($ary = dbFetch($result)) {
			if (isset(${"_".$ary['Field']})) {
				$project->fields[$ary['Field']] = ${"_".$ary['Field']};
			}
		}
	}
}

$tempAry['project'] = serialize($project);
/*
	Save the tempAry session cookie for
	later use
 */
$session->saveTempAry($tempAry);

// Build the page

/* Grab customer info */
$customer = new dbObject($project->fields['customer_id'], 'customerInfo');

switch ($project->fields['contactNum']) {
	case 0:
		$contact['name'] = $customer->fields['contactName'];
		$contact['phone'] = $customer->fields['contactPhone'];
		$contact['email'] = $customer->fields['contactEmail'];
		break;
	case 1:
		$contact['name'] = $customer->fields['contactName2'];
		$contact['phone'] = $customer->fields['contactPhone2'];
		$contact['email'] = $customer->fields['contactEmail2'];
		break;
	case 2:
		$contact['name'] = $customer->fields['contactName3'];
		$contact['phone'] = $customer->fields['contactPhone3'];
		$contact['email'] = $customer->fields['contactEmail3'];
		break;
	case 3:
		$contact['name'] = $customer->fields['billingName'];
		$contact['phone'] = $customer->fields['billingPhone'];
		$contact['email'] = $customer->fields['billingEmail'];
		break;
}

/*
	Grab the terms and conditions
*/
$terms = unserialize($project->fields['termsAndConditions']);
if (is_array($terms)) {
	while (list($key,$val) = each($terms)) {
		$qry = "select * from termsAndConditions where id=" . $val;
		$termAry[] = dbFastFetch($qry);
	}
}

/* Printer Friendly version */
// DELIVERABLES
if (isset($_occurrences)) {
	$deliverableTxt="
	<table width='100%' class='tableMain'>
	<tr class='tableHeading'>
		<td width='25%'>
			Date
		</td>
		<td width='25%'>
			Title
		</td>
		<td width='25%'>
			Action
		</td>
		<td width='25%'>
			Type
		</td>
	</tr>
	";
	$count = 0;
	reset($_occurrences);
	while (list($key, $occurrence) = each($_occurrences)) {
		if ($count % 2 == 0) {
			$bg = "trColor1";
		}
		else {
			$bg = "trColor2";
		}
		if (empty($occurrence['_DELETEME'])) {
			$count++;
			$deliverableTxt .="
			<tr class='$bg'>
				<td>
					".dbDate2Str($occurrence['_dateOfOccurrence'])."
				</td>
				<td>
					".$occurrence['_title']."
				</td>
				<td>
					".$occurrence['_actionNeeded']."
				</td>
				<td>
					".$occurrence['_typeOfOccurrence']."
				</td>
				</form>
			</tr>
			";
		}
	}
	$deliverableTxt .="
	</table>
	";
}
else {
	$deliverableTxt = "No deliverables defined.";
}

/* PAYMENTS */
if (isset($_payments)) {
	$paymentTxt="
	<table width='100%'>
	<tr class='tableHeading'>
		<td width='25%'>
			Date
		</td>
		<td width='25%'>
			Title
		</td>
		<td width='25%'>
			Action
		</td>
		<td width='25%'>
			Amount
		</td>
	</tr>
	";
	$count = 0;
	reset($_payments);
	while (list($key, $payment) = each($_payments)) {
		if ($count % 2 == 0) {
			$bg = "trColor1";
		}
		else {
			$bg = "trColor2";
		}
		if (empty($payment['_DELETE_ME'])) {
			$count++;
			$paymentTxt .= "
			<tr class='$bg'>
				<td>
					".dbDate2Str($payment['_dateOfOccurrence'])."
				</td>
				<td>
					".$payment['_title']."
				</td>
				<td>
					".$payment['_actionNeeded']."
				</td>
				<td>
					".$payment['_amount']."
				</td>
				</form>
			</tr>
			";
		}
	}
	$paymentTxt .= "
		<tr><td colspan='4' align='left' bgcolor='#000000'><img src='images/spacer.gif' height='1' width='1'></td></tr>
		<tr><td colspan='4' align='left'><img src='images/spacer.gif' height='3' width='10'></td></tr>
		<tr>
			<td colspan='2'></td>
			<td align='left'><b>Subtotal</b></td>
			<td>
				<b>" . sprintf ('$%.2f', $project->fields['subtotal']) ."</b>
			</td>
		</tr>
		<tr>
			<td colspan='2'></td>
			<td align='left'><b>Tax Rate</b></td>
			<td>
				" . sprintf('%.2f',$project->fields['taxRate']) ." %
			</td>
			<td></td>
			</form>
		</tr>
		<tr>
			<td colspan='2'></td>
			<td align='left'><b>Grand Total</b></td>
			<td>
				<b>" . sprintf ('$%.2f', $project->fields['total']) ."</b>
			</td>
		</tr>
	</table>
	";
}
else {
	$paymentTxt = "No payment schedule defined.";
}

// TERMS AND CONDITIONS
$termsTxt = "<table width='100%'>";
if (is_array($termAry)) {
	while (list($key,$term) = each($termAry)) {
		$termsTxt .= "<tr bgcolor='#FFFFFF'><td><li>".$term['title']."</li></td></tr>";
	}
}
else {
	$termsTxt .= "<tr bgcolor='#FFFFFF'><td>No Terms and Conditions Defined</td></tr>";
}
$termsTxt .="</table>";
// PDF
if ($project->fields['portfolioRequired'] == 'y') {
	$portfolioRequiredTxt = "Yes";
}
else {
	$portfolioRequiredTxt = "No";
}
$printableTxt = addslashes("
<html>
<head>
	<title>Printable Project Specifications</title>
	<link rel=stylesheet type='text/css'
			href='themes/$theme/styles/$theme.css'
			title='external CSS file'>
</head>
<body>
<table width='550' cellpadding='0' cellspacing='0' bgcolor='#FFFFFF'>
<tr>
	<td width='72'>
		<img src='images/logo.gif'>
	</td>
	<td width='1' bgcolor='#000000'>
		<img src='images/spacer.gif' width='1' height='10'>
	</td>
	<td width='477' valign='bottom'>
		&nbsp;&nbsp;<font size='5'><b>Product Specifications</b></font>
		<a href='javascript:window.print();'>Print this page</a>
	</td>
</tr>
</table>
<table width='550' cellpadding='5' cellspacing='1' class='tableBorder'>

<!-- ***** Customer Info ***** -->
<tr>
	<td width='150' colspan=2 class='tableHeading'>
		<b>Customer Information</b>
	</td>
</tr>
<tr bgcolor='#FFFFFF'>
	<td width='150'>
		<b>Customer</b>
	</td>
	<td width='400'>
		".$customer->fields['companyName']."
	</td>
</tr>
<tr bgcolor='#FFFFFF'>
	<td>
		<b>Address</b>
	</td>
	<td>
		".$customer->fields['billingAddress']."
	</td>
</tr>
<tr bgcolor='#FFFFFF'>
	<td>
		<b>Contact Name</b>
	</td>
	<td>
		".$contact['name']."
	</td>
</tr>
<tr bgcolor='#FFFFFF'>
	<td>
		<b>Contact Phone</b>
	</td>
	<td>
		".$contact['phone']."
	</td>
</tr>
<tr bgcolor='#FFFFFF'>
	<td>
		<b>Contact Email</b>
	</td>
	<td>
		".$contact['email']."
	</td>
</tr>

<!-- ***** General Project Info ***** -->
<tr>
	<td colspan='2' class='tableHeading'>
		<b>General Project Information</b>
	</td>
</tr>
<tr bgcolor='#FFFFFF'>
	<td>
		<b>Project Title</b>
	</td>
	<td>
		".$project->fields['projectTitle']."
	</td>
</tr>
<tr bgcolor='#FFFFFF'>
	<td>
		<b>Brief Description</b>
	</td>
	<td>
		".$project->fields['projectDescription']."
	</td>
</tr>
<tr bgcolor='#FFFFFF'>
	<td>
		<b>Project Description</b>
	</td>
	<td>
		".$project->fields['projectParameters']."
	</td>
</tr>
<tr bgcolor='#FFFFFF'>
	<td>
		<b>Expectations of Client</b>
	</td>
	<td>
		".$project->fields['expectationsOfClient']."
	</td>
</tr>

<!-- ***** DELIVERY SCHEDULE ***** -->
<tr>
	<td colspan=2 class='tableHeading'>
		<b>Delivery Schedule</b>
	</td>
</tr>
<tr bgcolor='#FFFFFF'>
	<td colspan=2>
		$deliverableTxt
	</td>
</tr>

<!-- ***** INTELLECTUAL PROPERTY ***** -->
<tr>
	<td colspan=2 class='tableHeading'>
		<b>Intellectual Property</b>
	</td>
</tr>
<tr bgcolor='#FFFFFF'>
	<td>
		<b>Product Title</b>
	</td>
	<td>
		".$project->fields['productTitle']."
	</td>
</tr>
<tr bgcolor='#FFFFFF'>
	<td>
		<b>Category of Use</b>
	</td>
	<td>
		".$project->fields['categoryOfUse']."
	</td>
</tr>
<tr bgcolor='#FFFFFF'>
	<td>
		<b>Medium of Use</b>
	</td>
	<td>
		".$project->fields['mediumOfUse']."
	</td>
</tr>
<tr bgcolor='#FFFFFF'>
	<td>
		<b>Geographic Area</b>
	</td>
	<td>
		".$project->fields['region']."
	</td>
</tr>
<tr bgcolor='#FFFFFF'>
	<td>
		<b>Time Period</b>
	</td>
	<td>
		".$project->fields['timePeriod']."
	</td>
</tr>

<!-- ***** PAYMENT SCHEDULE ***** -->
<tr>
	<td colspan=2 class='tableHeading'>
		<b>Payment Schedule</b>
	</td>
</tr>
<tr>
	<td colspan=2 bgcolor='#FFFFFF'>
		$paymentTxt
	</td>
</tr>

<!-- ***** TERMS AND CONDITIONS ***** -->
<tr>
	<td colspan=2 class='tableHeading'>
		<b>Terms and Conditions</b>
	</td>
</tr>
<tr>
	<td colspan=2 bgcolor='#FFFFFF'>
		$termsTxt
	</td>
</tr>

<!-- ***** SPECIAL NOTES ***** -->
<tr>
	<td colspan=2 class='tableHeading'>
		<b>Special Notes</b>
	</td>
</tr>
<tr bgcolor='#FFFFFF'>
	<td>
		<b>Portfolio in PDF required?</b>
	</td>
	<td>
		$portfolioRequiredTxt
	</td>
</tr>
<tr bgcolor='#FFFFFF'>
	<td>
		<b>Special Notes</b>
	</td>
	<td>
		".$project->fields['specialNotes']."
	</td>
</tr>
</table>
</body>
</html>
");


boxStart(600);
boxHeadingStart();
print "Viewing Project Specifications";
boxHeadingEnd();
boxSpacer(15);

boxItemStart();
?>
<script>
var nw;
function popUpWindow(t) {
	nw = open('','','scrollbars=yes,width=600,height=550,top=0,left=0');
	nw.document.write(t);
	nw.document.close();
	nw.focus();
}

function makePrintable() {
	var output="<?=str_replace("\n", "\\\n", $printableTxt)?>";
	return output;
}
</script>
<a href="#" onClick="popUpWindow(makePrintable());">Printable version</a>
<?
boxItemEnd();
boxSpacer(15);

/* This is the Customer Info section */
boxItemStart();
listStart();
listHeadingStart();
?>
Customer Information
<? if ($project->fields['status'] == 'Active') { ?>
<a href="<?=$PHP_SELF?>?action=members_module&moduleName=<?=$moduleName?>&moduleAction=admin_projectEditCustInfo&_project_id=<?=$project->fields['id']?>">
<img src="images/update.gif" border="0" align="right">
</a>
<?
}
listHeadingEnd();
listItemStart();
?>
<table width="100%">
<tr>
	<td width="150">
		<b>Customer Name</b>
	</td>
	<td>
		<?=$customer->fields['companyName'];?>
	</td>
</tr>
<tr>
	<td width="150">
		<b>Customer Address</b>
	</td>
	<td>
		<?=$customer->fields['billingAddress'];?>
	</td>
</tr>
<tr>
	<td width="150">
		<b>Contact Name</b>
	</td>
	<td>
		<?=$contact['name'];?>
	</td>
</tr>
<tr>
	<td width="150">
		<b>Contact Phone</b>
	</td>
	<td>
		<?=$contact['phone']?>
	</td>
</tr>
<tr>
	<td width="150">
		<b>Contact Email</b>
	</td>
	<td>
		<?=$contact['email']?>
	</td>
</tr>
</table>
<?
listItemEnd();
listEnd();
boxItemEnd();
boxSpacer(15);
/* This is the General Project Info section */
boxItemStart();
listStart();
listHeadingStart();
?>
General Project Information
<? if ($project->fields['status'] == 'Active') { ?>
<a href="<?=$PHP_SELF?>?action=members_module&moduleName=<?=$moduleName?>&moduleAction=admin_projectEditGeneralInfo&_project_id=<?=$project->fields['id']?>">
<img src="images/update.gif" border="0" align="right">
</a>
<?
}
listHeadingEnd();
listItemStart();
?>
<table width="100%">
<tr>
	<td width="150">
		<b>Project Title</b>
	</td>
	<td>
		<?=$project->fields['projectTitle'];?>
	</td>
</tr>
<tr>
	<td width="150">
		<b>Brief Description</b>
	</td>
	<td>
		<?=$project->fields['projectDescription'];?>
	</td>
</tr>
<tr>
	<td width="150">
		<b>Project Parameters</b>
	</td>
	<td>
		<?=$project->fields['projectParameters'];?>
	</td>
</tr>
<tr>
	<td width="150">
		<b>Expectations of Client</b>
	</td>
	<td>
		<?=$project->fields['expectationsOfClient'];?>
	</td>
</tr>
</table>
<?
listItemEnd();
listEnd();
boxItemEnd();
boxSpacer(15);
/* Delivery Schedules */
boxItemStart();
listStart();
listHeadingStart();
?>
Delivery Schedule
<? if ($project->fields['status'] == 'Active') { ?>
<a href="<?=$PHP_SELF?>?action=members_module&moduleName=<?=$moduleName?>&moduleAction=admin_projectEditOccurrences&_project_id=<?=$project->fields['id']?>">
<img src="images/update.gif" border="0" align="right">
</a>
<?
}
listHeadingEnd();
listItemStart();
/* This is the loop of the occurrences */
if (isset($_occurrences)) {
	?>
	<table width="100%">
	<tr class="tableHeading">
		<td width="25%">
			Date
		</td>
		<td width="25%">
			Title
		</td>
		<td width="25%">
			Action
		</td>
		<td width="25%">
			Type
		</td>
	</tr>
	<?
	$count = 0;
	reset($_occurrences);
	while (list($key, $occurrence) = each($_occurrences)) {
		if ($count % 2 == 0) {
			$bg = "trColor1";
		}
		else {
			$bg = "trColor2";
		}
		$count++;
		if (empty($occurrence['_DELETEME'])) {
			?>
			<tr class="<?=$bg?>">
				<td>
					<?=dbDate2Str($occurrence['_dateOfOccurrence'])?>
				</td>
				<td>
					<?=$occurrence['_title'];?>
				</td>
				<td>
					<?=$occurrence['_actionNeeded'];?>
				</td>
				<td>
					<?=$occurrence['_typeOfOccurrence'];?>
				</td>
				</form>
			</tr>
			<?
		}
	}
	?>
	</table>
	<?
}
else {
	print "No deliverables defined.";
}
listItemEnd();
listEnd();
boxItemEnd();
boxSpacer(15);
/* Intellectual Property */
boxItemStart();
listStart();
listHeadingStart();
?>
Intellectual Property
<? if ($project->fields['status'] == 'Active') { ?>
<a href="<?=$PHP_SELF?>?action=members_module&moduleName=<?=$moduleName?>&moduleAction=admin_projectEditIntellectualProperty&_project_id=<?=$project->fields['id']?>">
<img src="images/update.gif" border="0" align="right">
</a>
<?
}
listHeadingEnd();
listItemStart();
?>
<table width="100%">
<tr>
	<td width="150">
		<b>Product Title</b>
	</td>
	<td>
		<?=$project->fields['productTitle'];?>
	</td>
</tr>
<tr>
	<td width="150">
		<b>Category of Use</b>
	</td>
	<td>
		<?=$project->fields['categoryOfUse'];?>
	</td>
</tr>
<tr>
	<td width="150">
		<b>Medium of Use</b>
	</td>
	<td>
		<?=$project->fields['mediumOfUse'];?>
	</td>
</tr>
<tr>
	<td width="150">
		<b>Geographic Area</b>
	</td>
	<td>
		<?=$project->fields['region'];?>
	</td>
</tr>
<tr>
	<td width="150">
		<b>Time Period</b>
	</td>
	<td>
		<?=$project->fields['timePeriod'];?>
	</td>
</tr>
</table>
<?
listItemEnd();
listEnd();
boxItemEnd();
boxSpacer(15);
/* Payment Schedules */
boxItemStart();
listStart();
listHeadingStart();
?>
Payment Schedule
<? if ($project->fields['status'] == 'Active') { ?>
<a href="<?=$PHP_SELF?>?action=members_module&moduleName=<?=$moduleName?>&moduleAction=admin_projectEditPaymentSchedule&_project_id=<?=$project->fields['id']?>">
<img src="images/update.gif" border="0" align="right">
</a>
<?
}
listHeadingEnd();
listItemStart();
/* This is the loop of the occurrences */
if (isset($_payments)) {
	?>
	<table width="100%">
	<tr class="tableHeading">
		<td width="25%">
			Date
		</td>
		<td width="25%">
			Title
		</td>
		<td width="25%">
			Action
		</td>
		<td width="25%">
			Amount
		</td>
	</tr>
	<?
	$count = 0;
	reset($_payments);
	while (list($key, $payment) = each($_payments)) {
		if ($count % 2 == 0) {
			$bg = "trColor1";
		}
		else {
			$bg = "trColor2";
		}
		if (empty($payment['_DELETEME'])) {
			$count++;
			?>
			<tr class="<?=$bg?>">
				<td>
					<?=dbDate2Str($payment['_dateOfOccurrence'])?>
				</td>
				<td>
					<?=$payment['_title'];?>
				</td>
				<td>
					<?=$payment['_actionNeeded'];?>
				</td>
				<td>
					<?=$payment['_amount'];?>
				</td>
				</form>
			</tr>
			<?
		}
	}
	?>
		<tr><td colspan="4" align="left" bgcolor="#000000"><img src="images/spacer.gif" height="1" width="1"></td></tr>
		<tr><td colspan="4" align="left"><img src="images/spacer.gif" height="3" width="10"></td></tr>
		<tr>
			<td colspan="2"></td>
			<td align="left"><b>Subtotal</b></td>
			<td>
				<b><? printf ("$%.2f", $project->fields['subtotal']);?></b>
			</td>
		</tr>
		<tr>
			<td colspan="2"></td>
			<td align="left"><b>Tax Rate</b></td>
			<td>
				<?=$project->fields['taxRate']?>%
			</td>
			<td></td>
			</form>
		</tr>
		<tr>
			<td colspan="2"></td>
			<td align="left"><b>Grand Total</b></td>
			<td>
				<b><? printf ("$%.2f", $project->fields['total']);?></b>
			</td>
		</tr>
	</table>
	<?
}
else {
	print "No payment schedule defined.";
}
listItemEnd();
listEnd();
boxItemEnd();
boxSpacer(15);

/* Terms and Conditions */
boxItemStart();
listStart();
listHeadingStart();
?>
Terms and Conditions
<? if ($project->fields['status'] == 'Active') { ?>
<a href="<?=$PHP_SELF?>?action=members_module&moduleName=<?=$moduleName?>&moduleAction=admin_projectEditTerms&_project_id=<?=$project->fields['id']?>">
<img src="images/update.gif" border="0" align="right">
</a>
<?
}
listHeadingEnd();
listItemStart();
?>
<table width="100%">
<?
	if (is_array($termAry)) {
		reset($termAry);
		while (list($key,$term) = each($termAry)) {
			print "<tr><td><li>".$term['title']."</li></td></tr>";
		}
	}
	else {
		print "<tr><td>No Terms and Conditions Defined</td></tr>";
	}
?>
</table>
<?
listItemEnd();
listEnd();
boxItemEnd();
boxSpacer(15);

/* Special Notes */
boxItemStart();
listStart();
listHeadingStart();
?>
Special Notes
<? if ($project->fields['status'] == 'Active') { ?>
<a href="<?=$PHP_SELF?>?action=members_module&moduleName=<?=$moduleName?>&moduleAction=admin_projectEditSpecialNotes&_project_id=<?=$project->fields['id']?>">
<img src="images/update.gif" border="0" align="right">
</a>
<?
}
listHeadingEnd();
listItemStart();
?>
<table width="100%">
<tr>
	<td width="150">
		<b>PDF portfolio required?</b>
	</td>
	<td>
		<?
			if ($project->fields['portfolioRequired'] == 'y') {
				print "Yes";
			}
			else {
				print "No";
			}
		?>
	</td>
</tr>
<tr>
	<td width="150">
		<b>Special Notes</b>
	</td>
	<td>
		<?=$project->fields['specialNotes']?>
	</td>
</tr>
</table>
<?
listItemEnd();
listEnd();
boxItemEnd();
boxSpacer(15);

if ($project->fields['status'] == 'Active') { ?>
	/* Review & Send to Client*/
	boxItemStart();
	listStart();
	listHeadingStart();
	print "Save Changes";
	listHeadingEnd();
	listItemStart();
	?>
	<i>Note: NO changes will be made until you click SAVE</i>
	<form action="<?=$PHP_SELF?>" method="post">
	<input type="hidden" name="action" value="members_module">
	<input type="hidden" name="moduleName" value="<?=$moduleName?>">
	<input type="hidden" name="moduleAction" value="admin_projectSave">
	<input type="hidden" name="_project_id" value="<?=$project->fields['id']?>">
	Need client approval?&nbsp;&nbsp;<input type="checkbox" name="_clientApproval" checked>
	<input type="submit" value="Save">
	</form>
	<?
	listItemEnd();
	listEnd();
	boxItemEnd();
}

/* Review & Send to Client*/
boxSpacer(15);
boxItemStart();
?>
<form action="<?=$PHP_SELF?>" method="post">
<input type="hidden" name="action" value="members_module">
<input type="hidden" name="moduleName" value="<?=$moduleName?>">
<input type="hidden" name="moduleAction" value="admin_projectView">
<input type="hidden" name="_project_id" value="<?=$project->fields['id']?>">
<input type="submit" value="Back">
</form>
<?
boxItemEnd();

boxEnd(600);
?>
