<?
/*
	admin_projectView.php - The main project view page...
		- tasks
		- time logs
		- send comp
		- log job expense
		- log meeting/call time
		- log vender quote
		- send ecra quote to client
		- update/change project specifications
		- cancel project
		- go to preflight
*/
include_once($basePath."themes/$theme/makeBox.php");
include_once($basePath."themes/$theme/makeList.php");
include_once($basePath."themes/$theme/makeSearchResult.php");
include_once($basePath."include/dbobject.php");

$session->destroyTempAry();

$project=new dbObject($_project_id, 'projects');

if ($project->fields['status'] == 'Active' || $project->fields['status'] == 'Pending') {
	/* Make a recent task list*/
	$options['reload'] = "$PHP_SELF?action=members_module&moduleName=$moduleName&moduleAction=admin_projectView&_project_id=" . $project->fields['id'];
	$options['queryString'] = "select *,date_format(requiredCompletionDate,'%m/%d/%Y') as deliveryDate from tasks where project_id=" . $project->fields['id'];
	isset($_startNum) ? $options['startNum'] = $_startNum : $options['startNum'] = 0;
	$options['itemsPerPage'] = 10;
	$options['displayFields'] = array('Task Name', 'Delivery Date');
	$options['fieldNames'] = array('description', 'deliveryDate');
	$options['orderBy'] = "requiredCompletionDate desc";
	$options['bgcolor'] = "#CCCCCC";
	$options['altBgcolor'] = "#EEEEEE";
	$options['view'] = "<a href='$PHP_SELF?action=members_module&moduleName=$moduleName&moduleAction=taskView&_project_id=".$project->fields['id']."&_task_id=[id]'>View</a>";

	boxStart(600);
	boxHeadingStart();
	print "Project View - Phase 1: Project Cycle [". $project->fields['projectTitle']. "]";
	boxHeadingEnd();
	/* Tasks */
	boxSpacer(15);
	boxItemStart();
	listStart();
	listHeadingStart();
	print "Viewing All Tasks";
	listHeadingEnd();
	listItemStart();
	makeSearchResult($options);
	listItemEnd();
	listHeadingStart();
	print "Assign Tasks";
	listHeadingEnd();
	listItemStart();
	?>
	<a href="<?=$PHP_SELF?>?action=members_module&moduleName=<?=$moduleName?>&moduleAction=taskAssign&_project_id=<?=$project->fields['id']?>">Assign a Task</a>
	<?
	listItemEnd();
	listEnd();
	boxItemEnd();

	/* Time Logs */
	boxSpacer(15);
	boxItemStart();
	listStart();
	listHeadingStart();
	print "Meeting or Call Time";
	listHeadingEnd();
	listItemStart();
	?>
	<li><a href="<?=$PHP_SELF?>?action=members_module&moduleName=<?=$moduleName?>&moduleAction=eventLog&_project_id=<?=$project->fields['id']?>">Log Time</a></li>
	<li><a href="<?=$PHP_SELF?>?action=members_module&moduleName=<?=$moduleName?>&moduleAction=eventList&_project_id=<?=$project->fields['id']?>">View Time</a></li>
	<?
	listItemEnd();
	listEnd();
	boxItemEnd();

	/* Job Expense */
	boxSpacer(15);
	boxItemStart();
	listStart();
	listHeadingStart();
	print "Job Expenses";
	listHeadingEnd();
	listItemStart();
	?>
	<li><a href="<?=$PHP_SELF?>?action=members_module&moduleName=<?=$moduleName?>&moduleAction=expenseLog&_project_id=<?=$project->fields['id']?>">Log Expense</a></li>
	<li><a href="<?=$PHP_SELF?>?action=members_module&moduleName=<?=$moduleName?>&moduleAction=expenseList&_project_id=<?=$project->fields['id']?>">View Expenses</a></li>
	<?
	listItemEnd();
	listEnd();
	boxItemEnd();

	/* Comps */
	boxSpacer(15);
	boxItemStart();
	listStart();
	listHeadingStart();
	print "Comps";
	listHeadingEnd();
	listItemStart();
	?>
	<li><a href="<?=$PHP_SELF?>?action=members_module&moduleName=<?=$moduleName?>&moduleAction=compUpload&_project_id=<?=$project->fields['id']?>">Upload a Comp</a></li>
	<li><a href="<?=$PHP_SELF?>?action=members_module&moduleName=<?=$moduleName?>&moduleAction=compList&_project_id=<?=$project->fields['id']?>">View Comps</a></li>
	<?
	listItemEnd();
	listEnd();
	boxItemEnd();

	/* Send Ecra Quotes */
	boxSpacer(15);
	boxItemStart();
	listStart();
	listHeadingStart();
	print "Send Ecra Quote";
	listHeadingEnd();
	listItemStart();
	?>
	<li><a href="<?=$PHP_SELF?>?action=members_module&moduleName=<?=$moduleName?>&moduleAction=quoteLog&_project_id=<?=$project->fields['id']?>">Send a Quote</a></li>
	<li><a href="<?=$PHP_SELF?>?action=members_module&moduleName=<?=$moduleName?>&moduleAction=quoteList&_project_id=<?=$project->fields['id']?>">View Quotes</a></li>
	<?
	listItemEnd();
	listEnd();
	boxItemEnd();

	/* Vendor Quotes */
	boxSpacer(15);
	boxItemStart();
	listStart();
	listHeadingStart();
	print "Vendor Quotes";
	listHeadingEnd();
	listItemStart();
	?>
	<li><a href="<?=$PHP_SELF?>?action=members_module&moduleName=<?=$moduleName?>&moduleAction=vendorQuoteLog&_project_id=<?=$project->fields['id']?>">Log a Vendor Quote</a></li>
	<li><a href="<?=$PHP_SELF?>?action=members_module&moduleName=<?=$moduleName?>&moduleAction=vendorQuoteList&_project_id=<?=$project->fields['id']?>">View Vendor Quotes</a></li>
	<?
	listItemEnd();
	listEnd();
	boxItemEnd();

	/* Update/change project specs */
	boxSpacer(15);
	boxItemStart();
	listStart();
	listHeadingStart();
	print "Project Specifications";
	listHeadingEnd();
	listItemStart();
	?>
	<li><a href="<?=$PHP_SELF?>?action=members_module&moduleName=<?=$moduleName?>&moduleAction=admin_projectSpecs&_project_id=<?=$project->fields['id']?>">Update/Change Specs</a></li>
	<?
	listItemEnd();
	listEnd();
	boxItemEnd();

	/* Project Actions */
	boxSpacer(15);
	boxItemStart();
	listStart();
	listHeadingStart();
	print "Actions";
	listHeadingEnd();
	listItemStart();
	?>
	<li><a href="<?=$PHP_SELF?>?action=members_module&moduleName=<?=$moduleName?>&moduleAction=admin_projectPreflight&_project_id=<?=$project->fields['id']?>">Go to Pre-Flight</a></li>
	<li><a href="<?=$PHP_SELF?>?action=members_module&moduleName=<?=$moduleName?>&moduleAction=admin_projectCancel&_project_id=<?=$project->fields['id']?>">Cancel Project</a></li>
	<?
	listItemEnd();
	listEnd();
	boxItemEnd();

	if (in_array($user->fields['access'], $isEmployee)) {
		$backAction = 'employee_main';
	}
	elseif (in_array($user->fields['access'], $isCustomer)) {
		$backAction = 'customer_main';
	}
	elseif (in_array($user->fields['access'], $isProjectManager)) {
		$backAction = 'admin_main';
	}
	boxSpacer(15);
	boxItemStart();
	?>
	<form action="<?=$PHP_SELF?>" method="post">
	<input type="hidden" name="action" value="members_module">
	<input type="hidden" name="moduleName" value="<?=$moduleName?>">
	<input type="hidden" name="moduleAction" value="<?=$backAction?>">
	<input type="submit" value="Back">
	</form>
	<?
	boxItemEnd();
	boxEnd(600);
}
else {
	require_once($basePath."modules/$moduleName/admin_projectViewPreFlight.php");
}
?>
