<?
/*
	Step 4: Occurrences - Deliverables

	A special self-contained step that adds/del/modifies records
*/
include_once($basePath."themes/$theme/makeBox.php");
include_once($basePath."themes/$theme/makeList.php");
include_once($basePath."themes/$theme/makeSearchResult.php");
include_once($basePath."include/user.php");
include_once($basePath."include/db.php");
include_once($basePath."include/config.php");

?>
<script src="include/popupCalendar.js"></script>
<script>
function checkInput(f) {
	var error_msg = '';
	// Date Of Occurrence
	if (!f['_dateOfOccurrence'].value) {
		error_msg += "Date field is empty\n";
	}
	else if (!f['_dateOfOccurrence'].value.match(/\d{2}\/\d{2}\/\d{4}/)) {
		error_msg += "Date is invalid\n";
	}

	// Title
	if (!f['_title'].value) {
		error_msg += "Title field is empty\n";
	}

	// Action Needed
	if (!f['_actionNeeded'].value) {
		error_msg += "Action field is empty\n";
	}

	// Type of Occurrence
	if (!f['_typeOfOccurrence'].value) {
		error_msg += "Type field is empty\n";
	}

	if (error_msg) {
		alert ("The form cannot be submitted for the following reason(s):\n\n" + error_msg);
		return false;
	}
	else {
		return true;
	}
}
</script>
<?

/* Take data from Step 3 and store it */
$ary = $session->loadTempAry();
if (isset($_projectTitle)) {
	$ary['_projectTitle'] = $_projectTitle;
}
if (isset($_projectDescription)) {
	$ary['_projectDescription'] = $_projectDescription;
}
if (isset($_projectParameters)) {
	$ary['_projectParameters'] = $_projectParameters;
}
if (isset($_expectationsOfClient)) {
	$ary['_expectationsOfClient'] = $_expectationsOfClient;
}
$_occurrences = $ary['_occurrences'];

/* Are we adding/deleting/saving? */
if ($setup_step4_action == "add") {
	$occurrence['_dateOfOccurrence'] = dbStr2Date($_dateOfOccurrence);
	$occurrence['_actionNeeded'] = $_actionNeeded;
	$occurrence['_typeOfOccurrence'] = $_typeOfOccurrence;
	$occurrence['_title'] = $_title;
	$_occurrences[] = $occurrence;
	$ary['_occurrences'] = $_occurrences;
}
elseif ($setup_step4_action == "delete") {
	unset($_occurrences[$_key]);
	$ary['_occurrences'] = $_occurrences;
}
elseif ($setup_step4_action == "editSave") {
	$occurrence['_dateOfOccurrence'] = dbStr2Date($_dateOfOccurrence);
	$occurrence['_actionNeeded'] = $_actionNeeded;
	$occurrence['_typeOfOccurrence'] = $_typeOfOccurrence;
	$occurrence['_title'] = $_title;
	$_occurrences[$_key] = $occurrence;
	$ary['_occurrences'] = $_occurrences;
}
$session->saveTempAry($ary);

/* Start the Box */
boxStart(600);
boxHeadingStart();
print "Project Setup - Step 4";
boxHeadingEnd();
boxSpacer(15);
boxItemStart();
listStart();
listItemStart();
if (sizeof($_occurrences)) {
	?>
	<script>
	function confirmDelete (f) {
		if (confirm("Are you sure?")) {
			f['setup_step4_action'].value="delete";
			f.submit();
		}
	}
	</script>
	<table width="100%" cellpadding="0" cellspacing="0" border="0">
		<tr class="tableHeading">
			<td colspan="5">
				Deliverable Occurrences
			</td>
		</tr>
		<tr class="tableHeading">
			<td width="22%">
				Date
			</td>
			<td width="22%">
				Title
			</td>
			<td width="23%">
				Action
			</td>
			<td width="23%">
				Type
			</td>
			<td width="10%">
				Del/Edit
			</td>
		</tr>
	<?
	/* This is the loop of the occurrences */
	$count = 0;
	while (list($key, $occurrence) = each($_occurrences)) {
		if ($count % 2 == 0) {
			$bg = "trColor1";
		}
		else {
			$bg = "trColor2";
		}
		$count++;
		if ($setup_step4_action == "edit" && $key == $_key) {
		?>
		<tr class="<?=$bg?>">
			<form action="<?=$PHP_SELF?>" method="post" name="form_<?=$key?>" onSubmit="return checkInput(this);">
			<input type="hidden" name="action" value="members_module">
			<input type="hidden" name="moduleName" value="<?=$moduleName?>">
			<input type="hidden" name="moduleAction" value="setup_step4">
			<input type="hidden" name="setup_step4_action" value="editSave">
			<td>
				<input type="text" size="13" name="_dateOfOccurrence" value="<?=dbDate2Str($occurrence['_dateOfOccurrence'])?>">
				<a href="#" onClick="popupCalendar(document.form_<?=$key?>._dateOfOccurrence,event);"><img src="images/calendar.gif" border="0"></a>
			</td>
			<td>
				<input type="text" size="13" name="_title" value="<?=$occurrence['_title'];?>">
			</td>
			<td>
				<input type="text" size="13" name="_actionNeeded" value="<?=$occurrence['_actionNeeded'];?>">
			</td>
			<td>
				<input type="text" size="13" name="_typeOfOccurrence" value="<?=$occurrence['_typeOfOccurrence'];?>">
			</td>
			<td>
				<input type="hidden" name="_key" value="<?=$key?>">
				<a href="javascript:if(checkInput(document.form_<?=$key?>)) {document.form_<?=$key?>.submit();}">save</a>
			</td>
			</form>
		</tr>
		<? }
		else {
		?>
		<tr class="<?=$bg?>">
			<form action="<?=$PHP_SELF?>" method="post" name="form_<?=$key?>">
			<input type="hidden" name="action" value="members_module">
			<input type="hidden" name="moduleName" value="<?=$moduleName?>">
			<input type="hidden" name="moduleAction" value="setup_step4">
			<input type="hidden" name="setup_step4_action" value="edit">
			<td>
				<?=dbDate2Str($occurrence['_dateOfOccurrence'])?>
			</td>
			<td>
				<?=$occurrence['_title'];?>
			</td>
			<td>
				<?=$occurrence['_actionNeeded'];?>
			</td>
			<td>
				<?=$occurrence['_typeOfOccurrence'];?>
			</td>
			<td>
				<input type="hidden" name="_key" value="<?=$key?>">
				<a href="javascript:document.form_<?=$key?>.submit();">edit</a>
				<a href="javascript:confirmDelete(document.form_<?=$key?>);">delete</a>
			</td>
			</form>
		</tr>
		<?
		}
	}
	?>
		</table>
	<?
}
else {
	print "None defined";
}
listItemEnd();
listEnd();
boxItemEnd();
boxSpacer(15);
boxItemStart();
listStart();
listHeadingStart();
print "Add an Occurrence";
listHeadingEnd();
listItemStart();
?>
<form action="<?=$PHP_SELF?>" method="post" name="form_New" onSubmit="return checkInput(this);">
<input type="hidden" name="action" value="members_module">
<input type="hidden" name="moduleName" value="<?=$moduleName?>">
<input type="hidden" name="moduleAction" value="setup_step4">
<input type="hidden" name="setup_step4_action" value="add">
<table>
<tr>
	<td>
		Date
	</td>
	<td>
		Title
	</td>
	<td>
		Action
	</td>
	<td>
		Type
	</td>
</tr>
<tr>
	<td>
		<input type="text" name="_dateOfOccurrence" size="13" >
		<a href="#" onClick="popupCalendar(document.form_New._dateOfOccurrence,event);"><img src="images/calendar.gif" border="0"></a>
	</td>
	<td>
		<input type="text" name="_title">
	</td>
	<td>
		<input type="text" name="_actionNeeded">
	</td>
	<td>
		<input type="text" name="_typeOfOccurrence">
	</td>
</tr>
</table>
<input type="submit" value="Add">
</form>
<?
listItemEnd();
listEnd();
boxItemEnd();
boxSpacer(15);
boxItemStart();
?>
<form action="<?=$PHP_SELF?>" method="post">
<input type="hidden" name="action" value="members_module">
<input type="hidden" name="moduleName" value="<?=$moduleName?>">
<input type="hidden" name="moduleAction" value="setup_step5">
<input type="button" value="Back" onClick="javascript:history.back();">&nbsp;&nbsp;&nbsp;
<input type="submit" value="Next">
</form>
<?
boxItemEnd();
boxEnd(600);
?>
