<?
/*
	Step 6: Payment Schedule

	A special self-contained step that adds/del/modifies records
*/
include_once($basePath."themes/$theme/makeBox.php");
include_once($basePath."themes/$theme/makeList.php");
include_once($basePath."themes/$theme/makeSearchResult.php");
include_once($basePath."include/user.php");
include_once($basePath."include/db.php");
include_once($basePath."include/config.php");

?>
<script src="include/popupCalendar.js"></script>
<script>
function checkPaymentInput(f) {
	var error_msg = '';
	// Date Of Occurrence
		if (!f['_dateOfOccurrence'].value) {
		error_msg += "Date field is empty\n";
	}
	else if (!f['_dateOfOccurrence'].value.match(/\d{2}\/\d{2}\/\d{4}/)) {
		error_msg += "Date is invalid\n";
	}

	// Title
	if (!f['_title'].value) {
		error_msg += "Title field is empty\n";
	}

	// Action Needed
	if (!f['_actionNeeded'].value) {
		error_msg += "Action field is empty\n";
	}

	// Amount
	if (!f['_amount'].value) {
		error_msg += "Amount field is empty\n";
	}
	else if (!f['_amount'].value.match(/^[\.\-\d]+$/)){
		error_msg += "Amount field is invalid\n";
	}

	if (error_msg) {
		alert ("The form cannot be submitted for the following reason(s):\n\n" + error_msg);
		return false;
	}
	else {
		return true;
	}
}

function checkTaxRate(f) {
	var error_msg = '';

	// Tax Rate
	if (!f['_taxRate'].value) {
		error_msg += "Tax Rate field empty\n";
	}
	else if (!f['_taxRate'].value.match(/[\.\-\d]+/)){
		error_msg += "Tax Rate field is invalid\n";
	}

	if (error_msg) {
		alert ("The form cannot be submitted for the following reason(s):\n\n" + error_msg);
		return false;
	}
	else {
		return true;
	}
}

function checkKillFee(f) {
	var error_msg = '';

	// Kill Fee
	if (!f['_killFee'].value) {
		error_msg += "Kill Fee field is empty\n";
	}
	else if (!f['_killFee'].value.match(/[\.\-\d]+/)){
		error_msg += "Kill Fee field is invalid\n";
	}

	if (error_msg) {
		alert ("The form cannot be submitted for the following reason(s):\n\n" + error_msg);
		return false;
	}
	else {
		return true;
	}
}
</script>
<?

/* Take data from Step 5 and store it */
$ary = $session->loadTempAry();
if (isset($_productTitle)) {
	$ary['_productTitle'] = $_productTitle;
}
if (isset($_categoryOfUse)) {
	$ary['_categoryOfUse'] = $_categoryOfUse;
}
if (isset($_mediumOfUse)) {
	$ary['_mediumOfUse'] = $_mediumOfUse;
}
if (isset($_region)) {
	$ary['_region'] = $_region;
}
if (isset($_timePeriod)) {
	$ary['_timePeriod'] = $_timePeriod;
}
if (isset($_subtotal)) {
	$ary['_subtotal'] = $_subtotal;
}
if (isset($_total)) {
	$ary['_total'] = $_total;
}
if (isset($_killFee)) {
	$ary['_killFee'] = $_killFee;
}
else {
	$_killFee = $ary['_killFee'];
}
$_payments = $ary['_payments'];

/* Are we adding/deleting/saving? */
if ($setup_step6_action == "add") {
	$payment['_dateOfOccurrence'] = dbStr2Date($_dateOfOccurrence);
	$payment['_actionNeeded'] = $_actionNeeded;
	$payment['_amount'] = $_amount;
	$payment['_title'] = $_title;
	$_payments[] = $payment;
	$ary['_payments'] = $_payments;
}
elseif ($setup_step6_action == "delete") {
	unset($_payments[$_key]);
	$ary['_payments'] = $_payments;
}
elseif ($setup_step6_action == "editSave") {
	$payment['_dateOfOccurrence'] = dbStr2Date($_dateOfOccurrence);
	$payment['_actionNeeded'] = $_actionNeeded;
	$payment['_amount'] = $_amount;
	$payment['_title'] = $_title;
	$_payments[$_key] = $payment;
	$ary['_payments'] = $_payments;
}

/* Tax Rate... */
if (isset($_taxRate)) {
	$ary['_taxRate'] = $_taxRate;
} else {
	$ary['_taxRate'] = 0.0;
}
$session->saveTempAry($ary);

/* Kill Fee, Totals */
$count = 0;
$subtotal = 0;
if (is_array($_payments)) {
	while (list($key, $payment) = each($_payments)) {
		$subtotal += $payment['_amount'];
		$count++;
	}
}
/* Calculate TOTAL  with tax rate */
$total = $_taxRate * 0.01 * $subtotal + $subtotal;
if (empty($_killFee)) {
	$_killFee = 0.5 * $total;
}

/* Start the Box */
boxStart(600);
boxHeadingStart();
print "Project Setup - Step 6";
boxHeadingEnd();
boxSpacer(15);
boxItemStart();
listStart();
if (sizeof($_payments)) {
	listItemStart();
	?>
	<script>
	function confirmDelete (f) {
		if (confirm("Are you sure?")) {
			f['setup_step6_action'].value="delete";
			f.submit();
		}
	}
	</script>
	<table width="100%" cellpadding="0" cellspacing="0" border="0">
		<tr class="tableHeading">
			<td colspan="5">
				Payment Schedule
			</td>
		</tr>
		<tr class="tableHeading">
			<td width="25%">
				Date
			</td>
			<td width="25%">
				Title
			</td>
			<td width="25%">
				Action
			</td>
			<td width="25%">
				Amount
			</td>
			<td width="10%">
				Del/Edit
			</td>
		</tr>
	<?
	/* This is the loop of the payments */
	$count = 0;
	$subtotal = 0;
	if (is_array($_payments)) {
		reset($_payments);
		while (list($key, $payment) = each($_payments)) {
			$subtotal += $payment['_amount'];
			if ($count % 2 == 0) {
				$bg = "trColor1";
			}
			else {
				$bg = "trColor2";
			}
			$count++;
			if ($setup_step6_action == "edit" && $key == $_key) {
			?>
			<tr class="<?=$bg?>">
				<form action="<?=$PHP_SELF?>" method="post" name="form_<?=$key?>">
				<input type="hidden" name="action" value="members_module">
				<input type="hidden" name="moduleName" value="<?=$moduleName?>">
				<input type="hidden" name="moduleAction" value="setup_step6">
				<input type="hidden" name="_killFee" value="<?if (isset($_killFee)) {printf ('%.2f', $_killFee);} else {printf ('%.2f', 0.5 * $total);}?>">
				<input type="hidden" name="_taxRate" value="<?=$_taxRate?>">
				<input type="hidden" name="setup_step6_action" value="editSave">
				<td>
					<input type="text" size="13" name="_dateOfOccurrence" value="<?=dbDate2Str($payment['_dateOfOccurrence'])?>">
					<a href="#" onClick="popupCalendar(_dateOfOccurrence,event);"><img src="images/calendar.gif" border="0"></a>
				</td>
				<td>
					<input type="text" size="13" name="_title" value="<?=$payment['_title'];?>">
				</td>
				<td>
					<input type="text" size="13" name="_actionNeeded" value="<?=$payment['_actionNeeded'];?>">
				</td>
				<td>
					<input type="text" size="13" name="_amount" value="<?=$payment['_amount'];?>">
				</td>
				<td>
					<input type="hidden" name="_key" value="<?=$key?>">
					<a href="javascript:if(checkPaymentInput(document.form_<?=$key?>)) {document.form_<?=$key?>.submit();}">save</a>
				</td>
				</form>
			</tr>
			<? }
			else {
			?>
			<tr class="<?=$bg?>">
				<form action="<?=$PHP_SELF?>" method="post" name="form_<?=$key?>">
				<input type="hidden" name="action" value="members_module">
				<input type="hidden" name="moduleName" value="<?=$moduleName?>">
				<input type="hidden" name="moduleAction" value="setup_step6">
				<input type="hidden" name="setup_step6_action" value="edit">
				<input type="hidden" name="_killFee" value="<?if (isset($_killFee)) {printf ('%.2f', $_killFee);} else {printf ('%.2f', 0.5 * $total);}?>">
				<input type="hidden" name="_taxRate" value="<?=$_taxRate?>">
				<td>
					<?=dbDate2Str($payment['_dateOfOccurrence'])?>
				</td>
				<td>
					<?=$payment['_title'];?>
				</td>
				<td>
					<?=$payment['_actionNeeded'];?>
				</td>
				<td>
					<? printf ("$%.2f", $payment['_amount']);?>
				</td>
				<td>
					<input type="hidden" name="_key" value="<?=$key?>">
					<a href="javascript:document.form_<?=$key?>.submit();">edit</a>
					<a href="javascript:confirmDelete(document.form_<?=$key?>);">delete</a>
				</td>
				</form>
			</tr>
			<?
			}
		}
	}

	?>
		<tr><td colspan="5" align="left" bgcolor="#000000"><img src="images/spacer.gif" height="1" width="10"></td></tr>
		<tr><td colspan="5" align="left"><img src="images/spacer.gif" height="3" width="10"></td></tr>
		<tr>
			<td colspan="2"></td>
			<td align="left"><b>Subtotal</b></td>
			<td>
				<b><? printf ("$%.2f", $subtotal);?></b>
			</td>
			<td>
			</td>
		</tr>
		<tr>
			<form action="<?=$PHP_SELF?>" method="post" onSubmit="return checkTaxRate(this);">
			<input type="hidden" name="action" value="members_module">
			<input type="hidden" name="moduleName" value="<?=$moduleName?>">
			<input type="hidden" name="moduleAction" value="setup_step6">
			<td colspan="2"></td>
			<td align="left"><b>Tax Rate</b></td>
			<td>
				<input type="hidden" name="_killFee" value="<?if (isset($_killFee)) {printf ('%.2f', $_killFee);} else {printf ('%.2f', 0.5 * $total);}?>">
				<input type="text" name="_taxRate" value="<?=$_taxRate?>" size="4" maxlength="4"> %
			</td>
			<td>
				<input type="submit" value="Recalculate">
			</td>
			</form>
		</tr>
		<tr>
			<td colspan="2"></td>
			<td align="left"><b>Grand Total</b></td>
			<td>
				<b><? printf ("$%.2f", $total);?></b>
			</td>
			<td>
			</td>
		</tr>
	</table>
	<?
}
else {
	listItemStart();
	print "No payment schedule defined";
	listItemEnd();
}
listEnd();
boxItemEnd();
boxSpacer(15);
boxItemStart();
listStart();
listHeadingStart();
print "Add an payment";
listHeadingEnd();
listItemStart();
?>
<form action="<?=$PHP_SELF?>" method="post" onSubmit="return checkPaymentInput(this);">
<input type="hidden" name="action" value="members_module">
<input type="hidden" name="moduleName" value="<?=$moduleName?>">
<input type="hidden" name="moduleAction" value="setup_step6">
<input type="hidden" name="setup_step6_action" value="add">
<table>
<tr>
	<td>
		Date
	</td>
	<td>
		Title
	</td>
	<td>
		Action
	</td>
	<td>
		Amount
	</td>
</tr>
<tr>
	<td>
		<input type="text" name="_dateOfOccurrence" size="13">
		<a href="#" onClick="popupCalendar(_dateOfOccurrence,event);"><img src="images/calendar.gif" border="0"></a>
	</td>
	<td>
		<input type="text" name="_title">
	</td>
	<td>
		<input type="text" name="_actionNeeded">
	</td>
	<td>
		<input type="text" name="_amount">
	</td>
</tr>
</table>
<input type="submit" value="Add">
</form>
<?
listItemEnd();
listEnd();
boxItemEnd();
boxSpacer(15);
boxItemStart();
listStart();
listHeadingStart();
print "Kill Fee";
listHeadingEnd();
listItemStart();
?>
<form action="<?=$PHP_SELF?>" method="post" onSubmit="return checkKillFee(this);">
<input type="hidden" name="action" value="members_module">
<input type="hidden" name="moduleName" value="<?=$moduleName?>">
<input type="hidden" name="moduleAction" value="setup_step6">
<input type="hidden" name="_taxRate" value="<?=$_taxRate?>">
Please enter a Kill Fee here, and click Save<br>
$ <input type="text" name="_killFee" value="<?if (isset($_killFee)) {printf ('%.2f', $_killFee);} else {printf ('%.2f', 0.5 * $total);}?>"><br><br>
<input type="submit" value="Save">
</form>
<?
listItemEnd();
listEnd();
boxItemEnd();
boxSpacer(15);
boxItemStart();
?>
<form action="<?=$PHP_SELF?>" method="post" onSubmit="return checkTaxRate(this) && checkKillFee(this);">
<input type="hidden" name="action" value="members_module">
<input type="hidden" name="moduleName" value="<?=$moduleName?>">
<input type="hidden" name="moduleAction" value="setup_step7">
<input type="hidden" name="_taxRate" value="<?=$_taxRate?>">
<input type="hidden" name="_subtotal" value="<?=$subtotal?>">
<input type="hidden" name="_total" value="<?=$total?>">
<input type="hidden" name="_killFee" value="<?=$_killFee?>">
<input type="button" value="Back" onClick="javascript:history.back();">&nbsp;&nbsp;&nbsp;
<input type="submit" value="Next">
</form>
<?
boxItemEnd();
boxEnd(600);
?>

